Page MenuHomePhabricator

[CatWatch] Use title text instead of URLencoded title for item name
Closed, ResolvedPublic1 Story Points

Description

T9148 is enabled on commons, but filenames containing a underscore. For example:

(diff | hist) . . Category:Hinckley, Minnesota‎; 18:11 . . (0)‎ . . ‎Innotata (talk | contribs | block)‎ (File:Hinckley,_Minnesota_after_the_1894_fire.jpg added to category)

Event Timeline

Steinsplitter raised the priority of this task from to Needs Triage.
Steinsplitter updated the task description. (Show Details)
Steinsplitter added a subscriber: Steinsplitter.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 19 2015, 6:15 PM
Steinsplitter moved this task from Incoming to Backlog on the Commons board.Aug 19 2015, 6:15 PM
Umherirrender set Security to None.
Umherirrender added a subscriber: kai.nissen.

This could be fixed by replacing Title::getPrefixedURL with Title::getPrefixedText in CategoryMembershipChange::createRecentChangesEntry (not tested)

Change 232747 had a related patch set uploaded (by Kai Nissen (WMDE)):
Use text instead of URL for "watch changes in category membership"

https://gerrit.wikimedia.org/r/232747

Addshore renamed this task from Remove redundant underscore from MediaWiki-Watchlist to [CatWatch] Remove redundant underscore from MediaWiki-Watchlist.Aug 31 2015, 8:11 AM
Addshore claimed this task.
Addshore triaged this task as Low priority.Aug 31 2015, 2:50 PM

Change 233441 had a related patch set uploaded (by Addshore):
[WIP] Enable users to watch category membership changes (try #2)

https://gerrit.wikimedia.org/r/233441

Change 232747 abandoned by Raimond Spekking:
Use text instead of URL for "watch changes in category membership"

Reason:
Per Addshore

https://gerrit.wikimedia.org/r/232747

Danny_B renamed this task from [CatWatch] Remove redundant underscore from MediaWiki-Watchlist to [CatWatch] Use title text instead of URLencoded title for item name.Sep 1 2015, 6:33 AM
Addshore edited a custom field.Sep 2 2015, 8:56 AM

Change 239065 had a related patch set (by Addshore) published:
Enable users to watch category membership changes #2

https://gerrit.wikimedia.org/r/239065

Change 233441 abandoned by Addshore:
Enable users to watch category membership changes #2

Reason:
Please see the following changes which have been factored out of this one:
https://gerrit.wikimedia.org/r/#/c/239061/
https://gerrit.wikimedia.org/r/#/c/239060/
https://gerrit.wikimedia.org/r/#/c/239065/

https://gerrit.wikimedia.org/r/233441

Change 239065 merged by jenkins-bot:
Enable users to watch category membership changes #2

https://gerrit.wikimedia.org/r/239065

Addshore closed this task as Resolved.Oct 20 2015, 9:54 PM
Addshore moved this task from Review to Done on the TCB-Team-Sprint-2015-10-14 board.
Addshore moved this task from Incoming to Done on the TCB-Team board.Nov 27 2015, 10:29 AM